Bug 640546 - [Indic] Find/Replace Box has problem with halant, Backspace is not working if halant is used
[Indic] Find/Replace Box has problem with halant, Backspace is not working if...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Satyabrata Maitra
: i18n
Depends On:
Blocks: 640556
  Show dependency treegraph
 
Reported: 2010-10-06 06:09 EDT by A S Alam
Modified: 2015-02-17 08:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 640556 (view as bug list)
Environment:
Last Closed: 2015-02-17 08:25:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 631508 None None None Never

  None (edit)
Description A S Alam 2010-10-06 06:09:10 EDT
Description of problem:
While pressing backspace in gedit's Find/find & Replace box and if halant (U+ 094D of Hindi), it is not working anyway.

Version-Release number of selected component (if applicable):
gedit-2.30.4-1.fc14.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. run gedit
2. type or copy paste (क्प) 
3. Backspace two times
   
Actual results:
first backsapace will work, but 2nd will not

Expected results:
with halant (094d), it is should work

Additional info:
1) Delete is working as expected
2) supposed to problem for all Indic locales, which has halant
Comment 1 Matthias Clasen 2010-10-08 17:42:41 EDT
certainly not a gedit bug
Comment 2 Akira TAGOH 2011-06-13 02:13:56 EDT
I'm afraid it is. though gedit tries to escape the text with gedit_utils_escape_search_text() though, it ignores "length" given by insert-text signal. so this issue is likely for the cases where the "length" is less than what "text" really contains.

I've attached a proposed patch in upstream bug.
Comment 3 Fedora End Of Life 2013-04-03 15:00:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 11:22:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 08:25:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.